/*
 * external_wrappers.h
 * Non-shared library wrapper for guarana.unicamp.br package.
 *
 * Copyright 1997,1998 Alexandre Oliva <oliva@dcc.unicamp.br>
 *
 * This file is free software; you can redistribute it and/or modify it
 * under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

KAFFE_NATIVE(BR_unicamp_Guarana_Guarana_deliver)
KAFFE_NATIVE(BR_unicamp_Guarana_Guarana_markAsPerformed)
KAFFE_NATIVE(BR_unicamp_Guarana_Guarana_getMetaObjectOf)
KAFFE_NATIVE(BR_unicamp_Guarana_Guarana_setMetaObjectOf)
KAFFE_NATIVE(BR_unicamp_Guarana_Guarana_makeProxy)
KAFFE_NATIVE(BR_unicamp_Guarana_Guarana_hashCode)
KAFFE_NATIVE(BR_unicamp_Guarana_Guarana_getClass)
KAFFE_NATIVE(BR_unicamp_Guarana_Guarana_getClassName)
KAFFE_NATIVE(BR_unicamp_Guarana_Operation_validate)
KAFFE_NATIVE(BR_unicamp_Guarana_Operation_getObject)
KAFFE_NATIVE(BR_unicamp_Guarana_Operation_getThread)
KAFFE_NATIVE(BR_unicamp_Guarana_Operation_getType)
KAFFE_NATIVE(BR_unicamp_Guarana_Operation_isClassOperation)
KAFFE_NATIVE(BR_unicamp_Guarana_Operation_getOpType)
KAFFE_NATIVE(BR_unicamp_Guarana_Operation_isMethodInvocation)
KAFFE_NATIVE(BR_unicamp_Guarana_Operation_getMethod)
KAFFE_NATIVE(BR_unicamp_Guarana_Operation_isConstructorInvocation)
KAFFE_NATIVE(BR_unicamp_Guarana_Operation_getConstructor)
KAFFE_NATIVE(BR_unicamp_Guarana_Operation_getArguments)
KAFFE_NATIVE(BR_unicamp_Guarana_Operation_isSynchronization)
KAFFE_NATIVE(BR_unicamp_Guarana_Operation_isMonitorEnter)
KAFFE_NATIVE(BR_unicamp_Guarana_Operation_isMonitorExit)
KAFFE_NATIVE(BR_unicamp_Guarana_Operation_isReadOperation)
KAFFE_NATIVE(BR_unicamp_Guarana_Operation_isWriteOperation)
KAFFE_NATIVE(BR_unicamp_Guarana_Operation_isFieldOperation)
KAFFE_NATIVE(BR_unicamp_Guarana_Operation_getField)
KAFFE_NATIVE(BR_unicamp_Guarana_Operation_isArrayOperation)
KAFFE_NATIVE(BR_unicamp_Guarana_Operation_isArrayLengthOperation)
KAFFE_NATIVE(BR_unicamp_Guarana_Operation_getArrayIndex)
KAFFE_NATIVE(BR_unicamp_Guarana_Operation_getValue)
KAFFE_NATIVE(BR_unicamp_Guarana_Operation_isReplacement)
KAFFE_NATIVE(BR_unicamp_Guarana_Operation_getReplaced)
KAFFE_NATIVE(BR_unicamp_Guarana_OperationFactoryInternal_getObject)
KAFFE_NATIVE(BR_unicamp_Guarana_OperationFactoryInternal_nop)
KAFFE_NATIVE(BR_unicamp_Guarana_OperationFactoryInternal_invoke)
KAFFE_NATIVE(BR_unicamp_Guarana_OperationFactoryInternal_construct)
KAFFE_NATIVE(BR_unicamp_Guarana_OperationFactoryInternal_monitorEnter)
KAFFE_NATIVE(BR_unicamp_Guarana_OperationFactoryInternal_monitorExit)
KAFFE_NATIVE(BR_unicamp_Guarana_OperationFactoryInternal_read)
KAFFE_NATIVE(BR_unicamp_Guarana_OperationFactoryInternal_write)
KAFFE_NATIVE(BR_unicamp_Guarana_OperationFactoryInternal_length)
KAFFE_NATIVE(BR_unicamp_Guarana_OperationFactoryInternal_readElement)
KAFFE_NATIVE(BR_unicamp_Guarana_OperationFactoryInternal_writeElement)
KAFFE_NATIVE(BR_unicamp_Guarana_Result_operation)
KAFFE_NATIVE(BR_unicamp_Guarana_Result_returnObject)
KAFFE_NATIVE(BR_unicamp_Guarana_Result_returnBoolean)
KAFFE_NATIVE(BR_unicamp_Guarana_Result_returnByte)
KAFFE_NATIVE(BR_unicamp_Guarana_Result_returnShort)
KAFFE_NATIVE(BR_unicamp_Guarana_Result_returnInt)
KAFFE_NATIVE(BR_unicamp_Guarana_Result_returnLong)
KAFFE_NATIVE(BR_unicamp_Guarana_Result_returnFloat)
KAFFE_NATIVE(BR_unicamp_Guarana_Result_returnDouble)
KAFFE_NATIVE(BR_unicamp_Guarana_Result_returnChar)
KAFFE_NATIVE(BR_unicamp_Guarana_Result_returnVoid)
KAFFE_NATIVE(BR_unicamp_Guarana_Result_throwObject)
KAFFE_NATIVE(BR_unicamp_Guarana_Result_getMode)
KAFFE_NATIVE(BR_unicamp_Guarana_Result_getOperation)
KAFFE_NATIVE(BR_unicamp_Guarana_Result_isException)
KAFFE_NATIVE(BR_unicamp_Guarana_Result_getObjectValue)
KAFFE_NATIVE(BR_unicamp_Guarana_Result_getBooleanValue)
KAFFE_NATIVE(BR_unicamp_Guarana_Result_getByteValue)
KAFFE_NATIVE(BR_unicamp_Guarana_Result_getShortValue)
KAFFE_NATIVE(BR_unicamp_Guarana_Result_getIntValue)
KAFFE_NATIVE(BR_unicamp_Guarana_Result_getLongValue)
KAFFE_NATIVE(BR_unicamp_Guarana_Result_getCharValue)
KAFFE_NATIVE(BR_unicamp_Guarana_Result_getFloatValueAsDouble)
KAFFE_NATIVE(BR_unicamp_Guarana_Result_getDoubleValue)
